Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1363925

Summary: [abrt] blivet-gui: _ped.IOException: Partition(s) 1 on /dev/sde have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should ...
Product: [Fedora] Fedora Reporter: Martin Kolman <mkolman>
Component: blivet-guiAssignee: Vojtech Trefny <vtrefny>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: vtrefny
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/73bca4eddf7b31bfa0d9a5efc26abcbf5b75f4b7
Whiteboard: abrt_hash:02a7c08df2f3e8f0740c5a7fa5122688578c3b1aa42fe676371fcafe7675256e;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 21:18:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: blivet-gui-com.log
none
File: blivet-gui-tb
none
File: blivet.log
none
File: description
none
File: environ
none
File: program.log none

Description Martin Kolman 2016-08-04 00:44:56 UTC
Description of problem:
Tried to reformat a USB drive containing F23 Workstation Live to a single EXT4 partition on MBR. Got a traceback - not totally unxepected but still a bummer. ;-)

Version-Release number of selected component:
blivet-gui-1.0.7-1.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
blivet-gui.log: 
cmdline:        /usr/bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.5.7-202.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           Python
version:        23

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 517, in end
    self._reraise_exception(error, traceback) # pylint: disable=raising-bad-type
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 245, in _reraise_exception
    raise type(exception)(str(exception) + "\n" + traceback)
_ped.IOException: Partition(s) 1 on /dev/sde have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivet_utils.py", line 1321, in blivet_do_it
    self.storage.doIt(callbacks=callbacks_reg)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 590, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 388, in create
    self._create(**kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 240, in _create
    self.commit()
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 253, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python3.4/site-packages/parted/disk.py", line 212, in commit
    return self.__disk.commit()
_ped.IOException: Partition(s) 1 on /dev/sde have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Comment 1 Martin Kolman 2016-08-04 00:45:00 UTC
Created attachment 1187305 [details]
File: backtrace

Comment 2 Martin Kolman 2016-08-04 00:45:03 UTC
Created attachment 1187306 [details]
File: blivet-gui-com.log

Comment 3 Martin Kolman 2016-08-04 00:45:08 UTC
Created attachment 1187307 [details]
File: blivet-gui-tb

Comment 4 Martin Kolman 2016-08-04 00:45:11 UTC
Created attachment 1187308 [details]
File: blivet.log

Comment 5 Martin Kolman 2016-08-04 00:45:13 UTC
Created attachment 1187309 [details]
File: description

Comment 6 Martin Kolman 2016-08-04 00:45:14 UTC
Created attachment 1187310 [details]
File: environ

Comment 7 Martin Kolman 2016-08-04 00:45:16 UTC
Created attachment 1187311 [details]
File: program.log

Comment 8 Fedora End Of Life 2016-11-25 09:29:14 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 21:18:19 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.